Bug 1088171 - 7-bit check plugin does not work for userpassword attribute
Summary: 7-bit check plugin does not work for userpassword attribute
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base
Version: 6.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Sankar Ramalingam
URL:
Whiteboard:
Depends On: 1044147
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-16 07:47 UTC by Thorsten Scherf
Modified: 2020-09-13 20:38 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1044147
Environment:
Last Closed: 2014-09-09 22:44:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github 389ds 389-ds-base issues 760 0 None None None 2020-09-13 20:38:18 UTC

Description Thorsten Scherf 2014-04-16 07:47:55 UTC
+++ This bug was initially created as a clone of Bug #1044147 +++

This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/47423

7-bit check plugin fails to validate the userpassword attribute.

Comment 1 Noriko Hosoi 2014-04-21 20:14:44 UTC
https://fedorahosted.org/389/ticket/47423#comment:3
Steps to reproduce:
Make sure the 7 bit plugin is enabled and userpassword is in the arg list.
  dn: cn=7-bit check,cn=plugins,cn=config
  nsslapd-pluginEnabled: on
  nsslapd-pluginarg2: userpassword

Command line: ldapadd -x -D "cn=directory manager" -w password -f test.ldif

Contents of test.ldif:

dn: uid=Testuser1,ou=People,dc=localdomain
changetype: add
objectClass: top
objectClass: person
objectClass: organizationalPerson
objectClass: inetOrgPerson
cn: Testuser1
sn: user1
uid: Testuser1
givenName: Test
userPassword: κñόσμε

Actual output: New user added

Expected output: ldap_add: Constraint violation (19)

    additional info: The value is not 7-bit clean: κñόσμε


Note You need to log in before you can comment on or make changes to this bug.